package com.usky.dxtop.controller.web.business;


import com.usky.dxtop.common.annotation.RepeatSubmit;
import com.usky.dxtop.common.core.domain.ApiResult;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.ProductInfo;
import com.usky.dxtop.model.ProductType;
import com.usky.dxtop.service.ProductInfoService;
import com.usky.dxtop.service.vo.OrderRequest;
import com.usky.dxtop.service.vo.ProductInfoRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

/**
 * 商品详情
 *
 * @author yq
 * @since 2022-07-05
 */
@RestController
@RequestMapping("/productInfo")
public class ProductInfoController {


    @Autowired
    private ProductInfoService productInfoService;

    /**
     * 新增记录
     * @param productInfo
     * @return
     */
    @PostMapping
    public ApiResult<Void> add(@RequestBody ProductInfo productInfo){
        productInfoService.add(productInfo);
        return ApiResult.success();
    }

    /**
     * 修改记录
     */
    @PutMapping
    public ApiResult edit(@RequestBody ProductInfo productInfo)
    {
        return ApiResult.success(productInfoService.update(productInfo));
    }

    /**
     * 记录查询
     * @param productInfoRequest
     * @return
     */
    @PostMapping("/list")
    public ApiResult<CommonPage<ProductInfo>> list(@RequestBody ProductInfoRequest productInfoRequest)
    {

        return ApiResult.success(productInfoService.list(productInfoRequest));
    }

    /**
     * 导出
     * @param productInfoRequest
     * @return
     */
    @PostMapping("/export")
    public ApiResult<String> exportDetail(@RequestBody ProductInfoRequest productInfoRequest){
        return ApiResult.success(productInfoService.export(productInfoRequest));
    }
}

