package com.usky.dxtop.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.dxtop.common.exception.CustomException;
import com.usky.dxtop.model.DreOrder;
import com.usky.dxtop.model.DreOrderDetail;
import com.usky.dxtop.mapper.DreOrderDetailMapper;
import com.usky.dxtop.service.DreOrderDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author yq
 * @since 2022-08-14
 */
@Service
public class DreOrderDetailServiceImpl extends ServiceImpl<DreOrderDetailMapper, DreOrderDetail> implements DreOrderDetailService {

    @Override
    public void insertList(DreOrder dreOrder) {
        List<DreOrderDetail> dreOrderDetails = dreOrder.getDreOrderDetails();
        if (CollectionUtils.isEmpty(dreOrderDetails)){
            throw new CustomException("菜品信息不能为空");
        }
        dreOrderDetails.forEach(dreOrderDetail -> dreOrderDetail.setOrderId(dreOrder.getId()));
        this.saveBatch(dreOrderDetails);
    }

    @Override
    public List<DreOrderDetail> list(Long orderId) {
        LambdaQueryWrapper<DreOrderDetail> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(DreOrderDetail::getOrderId,orderId);
        return this.list(queryWrapper);
    }
}
